Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.eventadapter
Class RowEventAdapter

    java.lang.Object
      org.eclipse.birt.report.engine.api.script.eventadapter.RowEventAdapter

All Implemented Interfaces:
  IRowEventHandler

    public class RowEventAdapter

extends java.lang.Object
implements IRowEventHandler

Default (empty) implementation of the ITableDetailRowEventHandler interface

Constructor Summary
`RowEventAdapter()`

Method Summary
`void` | `onCreate(IRowInstance rowInstance, IReportContext reportContext)` Handle the onCreate event
`void` | `onPageBreak(IRowInstance rowInstance, IReportContext reportContext)` Handle the onPageBreak event
`void` | `onPrepare(IRow rowHandle, IReportContext reportContext)` Handle the onPrepare event
`void` | `onRender(IRowInstance rowInstance, IReportContext reportContext)` Handle the onRender event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowEventAdapter

    public RowEventAdapter()

Method Detail

### onPrepare

    public void onPrepare(IRow rowHandle,
                          IReportContext reportContext)

  Description copied from interface: `IRowEventHandler`
  Handle the onPrepare event

  Specified by:
    `onPrepare` in interface `IRowEventHandler`

### onCreate

    public void onCreate(IRowInstance rowInstance,
                         IReportContext reportContext)

  Description copied from interface: `IRowEventHandler`
  Handle the onCreate event

  Specified by:
    `onCreate` in interface `IRowEventHandler`

### onRender

    public void onRender(IRowInstance rowInstance,
                         IReportContext reportContext)

  Description copied from interface: `IRowEventHandler`
  Handle the onRender event

  Specified by:
    `onRender` in interface `IRowEventHandler`

### onPageBreak

    public void onPageBreak(IRowInstance rowInstance,
                            IReportContext reportContext)

  Description copied from interface: `IRowEventHandler`
  Handle the onPageBreak event

  Specified by:
    `onPageBreak` in interface `IRowEventHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.